Bug 1420303 - [man] make commands syntax description consistent
Summary: [man] make commands syntax description consistent
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 12:02 UTC by Tomas Jelinek
Modified: 2021-01-15 07:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:31:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1420101 0 unspecified CLOSED generalize argument handling with commands like "resource delete": single operand -> multiple operands (-> pattern) 2021-02-22 00:41:40 UTC

Internal Links: 1420101

Description Tomas Jelinek 2017-02-08 12:02:49 UTC
There are no rules set of how a command parameters should be described in the man page and the buil-in help. Each command is described with a bit different syntax which may be confusing.
For example:
* variables: "arg" vs. "<arg>",
* possibility of repeating: "<arg> [arg]..." vs. "<arg>..." vs. "<arg> [arg] ... [arg]",
* mutually exclusive parameters: "[arg | arg]" vs. "[arg] | [arg]",
* and so on.

Comment 2 RHEL Program Management 2021-01-15 07:31:37 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.